Instagram Collaborator Request Status
curl --request GET \
--url https://api.ayrshare.com/api/post/collaborators/:id \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ayrshare.com/api/post/collaborators/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ayrshare.com/api/post/collaborators/:id"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ayrshare.com/api/post/collaborators/:id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ayrshare.com/api/post/collaborators/:id"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ayrshare.com/api/post/collaborators/:id")
.header("Authorization", "Bearer <token>")
.asString();{
"collaborators": [
{
"id": "17841401319910272",
"username": "ayrshare",
"inviteStatus": "accepted"
},
{
"id": "17841401319910273",
"username": "ayrshare1",
"inviteStatus": "declined"
},
{
"id": "17841401319910274",
"username": "ayrshare2",
"inviteStatus": "pending"
}
],
"lastUpdated": "2024-03-08T04:08:18.979Z",
"nextUpdate": "2024-03-08T04:09:18.979Z"
}
{
"action": "analytics",
"status": "error",
"code": 294,
"message": "Error getting analytics."
}
Utils
Instagram Collaborator Request Status
Get the status of a request to a collaborator
GET
/
post
/
collaborators
/
:id
Instagram Collaborator Request Status
When you invite a collaborator to a post, you can check the status of the request using this endpoint.
Only Instagram users who have enabled collaborator tagging will be returned in the response.
Header Parameters
Path Parameters
Query Parameters
boolean
required
Set to
true. Required if using a Social Post ID.{
"collaborators": [
{
"id": "17841401319910272",
"username": "ayrshare",
"inviteStatus": "accepted"
},
{
"id": "17841401319910273",
"username": "ayrshare1",
"inviteStatus": "declined"
},
{
"id": "17841401319910274",
"username": "ayrshare2",
"inviteStatus": "pending"
}
],
"lastUpdated": "2024-03-08T04:08:18.979Z",
"nextUpdate": "2024-03-08T04:09:18.979Z"
}
{
"action": "analytics",
"status": "error",
"code": 294,
"message": "Error getting analytics."
}
⌘I
